Bug 250472 - linphone SIGTRAP prevents it from loading
linphone SIGTRAP prevents it from loading
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: linphone (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-01 15:41 EDT by Luke Macken
Modified: 2016-09-19 22:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:14:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2007-08-01 15:41:27 EDT
Description of problem:
(gdb) run
Starting program: /usr/bin/linphone 
[Thread debugging using libthread_db enabled]
[New Thread -1208284496 (LWP 15092)]

GThread-ERROR **: GThread system may only be initialized once.
aborting...

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread -1208284496 (LWP 15092)]
0x006bcd7b in IA__g_logv (log_domain=<value optimized out>, 
    log_level=G_LOG_LEVEL_ERROR, 
    format=0xd05e64 "GThread system may only be initialized once.", 
    args1=0xbfb46dec "�T�") at gmessages.c:493
493                     G_BREAKPOINT ();
(gdb) bt
#0  0x006bcd7b in IA__g_logv (log_domain=<value optimized out>, 
    log_level=G_LOG_LEVEL_ERROR, 
    format=0xd05e64 "GThread system may only be initialized once.", 
    args1=0xbfb46dec "�T�") at gmessages.c:493
#1  0x006bcff9 in IA__g_log (log_domain=0xd057e8 "GThread", 
    log_level=G_LOG_LEVEL_ERROR, 
    format=0xd05e64 "GThread system may only be initialized once.")
    at gmessages.c:517
#2  0x00d05660 in g_thread_init (init=0x0) at gthread-impl.c:297
#3  0x0804f956 in linphone_gnome_ui_init (ui=0x806bf40, core=0x806bdc0)
    at linphone.c:42
#4  0x0804f9e0 in linphone_gnome_init (ui=0x806bf40, lc=0x806bdc0)
    at linphone.c:355
#5  0x0804ead9 in main (argc=1, argv=0xbfb46f54) at main.c:67
#6  0x42034f70 in __libc_start_main (main=0x804e9e0 <main>, argc=1, 
    ubp_av=0xbfb46f54, init=0x80663f0 <__libc_csu_init>, 
    fini=0x80663e0 <__libc_csu_fini>, rtld_fini=0x4200e3d0 <_dl_fini>, 
    stack_end=0xbfb46f4c) at libc-start.c:222
#7  0x0804e921 in _start ()


Version-Release number of selected component (if applicable):
linphone-1.7.1-2.fc7
Comment 1 Jeffrey C. Ollie 2008-02-07 00:03:18 EST
I've pushed linphone 2.1.0 to rawhide and will soon be updating the F-7 and F-8
repositories, please test when it becomes available.
Comment 2 Bug Zapper 2008-05-13 23:06:26 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 lexual 2009-02-25 17:10:42 EST
Can the reporter please update if this is fixed in later versions as requested in comment #1.
Comment 4 Bug Zapper 2009-06-09 18:44:10 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 12:14:37 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.